# physcol.h

## Functions
cpSpace * | set_global_cpSpace (cpSpace *newspace)
cpSpace * | get_global_cpSpace (void)
cpBody * | create_new_body (SPRITESPTR sprite, float weight)
cpShape * | create_new_shape (SPRITESPTR sprite, cpBody *spriteBody, float e, float u, int coltype, void *data)
cpShape * | create_physics_object (SPRITESPTR sprite, float w, float e, float u, int coltype, void *data)
void | remove_physics_object (SPRITESPTR sprite)
int | collision_begin (cpArbiter *arb, cpSpace *Space, void *data)
int | collision_pre_solve (cpArbiter *arb, cpSpace *Space, void *data)
void | collision_post_solve (cpArbiter *arb, cpSpace *Space, void *data)
void | collision_separate (cpArbiter *arb, cpSpace *Space, void *data)
int | collision_static_begin (cpArbiter *arb, cpSpace *Space, void *data)
int | collision_static_pre_solve (cpArbiter *arb, cpSpace *Space, void *data)
void | collision_static_post_solve (cpArbiter *arb, cpSpace *Space, void *data)
void | collision_static_separate (cpArbiter *arb, cpSpace *Space, void *data)
void | collision_static_end (cpSpace *Space, void *obj, void *unused)

## Detailed Description

Routines to perform physic simulation and collision detection using the chipmunk engine

## Function Documentation

int collision_begin | ( | cpArbiter * | arb,
|  | cpSpace * | Space,
|  | void * | data |
| ) |  |  |

Definition at line 115 of file physcol.c.

void collision_post_solve | ( | cpArbiter * | arb,
|  | cpSpace * | Space,
|  | void * | data |
| ) |  |  |

Definition at line 192 of file physcol.c.

int collision_pre_solve | ( | cpArbiter * | arb,
|  | cpSpace * | Space,
|  | void * | data |
| ) |  |  |

Definition at line 185 of file physcol.c.

void collision_separate | ( | cpArbiter * | arb,
|  | cpSpace * | Space,
|  | void * | data |
| ) |  |  |

Definition at line 199 of file physcol.c.

int collision_static_begin | ( | cpArbiter * | arb,
|  | cpSpace * | Space,
|  | void * | data |
| ) |  |  |

Definition at line 205 of file physcol.c.

void collision_static_end | ( | cpSpace * | Space,
|  | void * | obj,
|  | void * | unused |
| ) |  |  |

Definition at line 249 of file physcol.c.

void collision_static_post_solve | ( | cpArbiter * | arb,
|  | cpSpace * | Space,
|  | void * | data |
| ) |  |  |

Definition at line 235 of file physcol.c.

int collision_static_pre_solve | ( | cpArbiter * | arb,
|  | cpSpace * | Space,
|  | void * | data |
| ) |  |  |

Definition at line 228 of file physcol.c.

void collision_static_separate | ( | cpArbiter * | arb,
|  | cpSpace * | Space,
|  | void * | data |
| ) |  |  |

Definition at line 242 of file physcol.c.

cpBody* create_new_body | ( | SPRITESPTR | sprite,
|  | float | weight |
| ) |  |  |

Definition at line 64 of file physcol.c.

cpShape* create_new_shape | ( | SPRITESPTR | sprite,
|  | cpBody * | spriteBody,
|  | float | e,
|  | float | u,
|  | int | coltype,
|  | void * | data |
| ) |  |  |

Definition at line 76 of file physcol.c.

cpShape* create_physics_object | ( | SPRITESPTR | sprite,
|  | float | w,
|  | float | e,
|  | float | u,
|  | int | coltype,
|  | void * | data |
| ) |  |  |

Definition at line 96 of file physcol.c.

cpSpace* get_global_cpSpace | ( | void |  | ) |

Definition at line 57 of file physcol.c.

void remove_physics_object | ( | SPRITESPTR | sprite | ) |

Definition at line 105 of file physcol.c.

cpSpace* set_global_cpSpace | ( | cpSpace * | newspace | ) |

Definition at line 49 of file physcol.c.